YaCy-Bugtracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000578YaCy[All Projects] Generalpublic2015-05-20 10:522015-05-23 00:34
Reporterfranzt 
Assigned ToBuBu 
PrioritynormalSeveritymajorReproducibilityN/A
StatusresolvedResolutionfixed 
ETAnone 
Platform (IcedTea 2.5.5) (7u79-2.5.5-1~dOSlinuxOS Versiondebian 7.8
Product VersionYaCy 1.8 
Target VersionFixed in Version 
Summary0000578: String index out of range: -1 error everywhere
DescriptionAfter starting two crawler and looking around a fresh Debian install (installed after http://www.yacy-websuche.de/wiki/index.php/En:DebianInstall [^]) on a virtual server the String index out of range: -1 error started popping up while using the admin interface. I restarted the yacy-deamon (service yacy restart) and everything worked for a time, until it repeated. after restarting around three times the error stayed.
The admin interface is broken. only an incomplete Status.html side can be used from the addmin interface. All other pages only show the errormessage
Steps To ReproduceI don't know
Additional InformationOps!

Message: String index out of range: -1
java.lang.StringIndexOutOfBoundsException: String index out of range: -1
    at java.lang.String.substring(String.java:1911)
    at net.yacy.cora.document.id.MultiProtocolURL.getAttributes(MultiProtocolURL.java:1019)
    at net.yacy.cora.document.id.MultiProtocolURL.escapeSearchpart(MultiProtocolURL.java:520)
    at net.yacy.cora.document.id.MultiProtocolURL.escape(MultiProtocolURL.java:480)
    at net.yacy.cora.document.id.MultiProtocolURL.<init>(MultiProtocolURL.java:249)
    at net.yacy.http.Jetty9YaCySecurityHandler.prepareConstraintInfo(Jetty9YaCySecurityHandler.java:70)
    at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:478)
    at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:223)
    at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1127)
    at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:515)
    at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:185)
    at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:1061)
    at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:141)
    at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle(ContextHandlerCollection.java:215)
    at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:97)
    at net.yacy.http.CrashProtectionHandler.handle(CrashProtectionHandler.java:33)
    at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:97)
    at org.eclipse.jetty.server.Server.handle(Server.java:497)
    at org.eclipse.jetty.server.HttpChannel.handle(HttpChannel.java:310)
    at org.eclipse.jetty.server.HttpConnection.onFillable(HttpConnection.java:257)
    at org.eclipse.jetty.io.AbstractConnection$2.run(AbstractConnection.java:540)
    at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:635)
    at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:555)
    at java.lang.Thread.run(Thread.java:745)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001049)
BuBu (developer)
2015-05-22 00:41

That should be fixed with > 1.83/9202

commit
https://github.com/yacy/yacy_search_server/commit/c37dda8849cd2f4a8264bc218c14f7cc0683c840 [^]
(0001050)
Scarfmonster (reporter)
2015-05-22 02:29

I can confirm that this is fixed now, but anyone who runs the current dev build will have to upgrade manually as the update page doesn't work because of the error.

- Issue History
Date Modified Username Field Change
2015-05-20 10:52 franzt New Issue
2015-05-22 00:41 BuBu Note Added: 0001049
2015-05-22 02:29 Scarfmonster Note Added: 0001050
2015-05-23 00:34 BuBu Status new => resolved
2015-05-23 00:34 BuBu Resolution open => fixed
2015-05-23 00:34 BuBu Assigned To => BuBu


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker